> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get smart transfers statistic

> Get smart transfer statistic



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /smart_transfers/statistic
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /smart_transfers/statistic:
    get:
      tags:
        - Smart Transfer
      summary: Get smart transfers statistic
      description: Get smart transfer statistic
      operationId: getSmartTransferStatistic
      responses:
        '200':
          description: Smart Transfer ticket statistic returned successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SmartTransferStatistic'
        '403':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SmartTransferForbiddenResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<SmartTransferStatistic>>
            = fireblocks.smartTransfer.getSmartTransferStatistic();
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<SmartTransferStatistic>> response =
            fireblocks.smartTransfer().getSmartTransferStatistic();
        - lang: Python
          source: response = fireblocks.smart_transfer.get_smart_transfer_statistic();
components:
  schemas:
    SmartTransferStatistic:
      type: object
      description: Smart transfers statistic
      properties:
        inflow:
          type: object
          description: Inflow tickets data
          properties:
            coins:
              type: array
              items:
                $ref: '#/components/schemas/SmartTransferCoinStatistic'
            ticketCount:
              type: integer
              example: 4
        outflow:
          type: object
          description: Outflow tickets data
          properties:
            coins:
              type: array
              items:
                $ref: '#/components/schemas/SmartTransferCoinStatistic'
            ticketCount:
              type: integer
              example: 4
        totalActiveTickets:
          description: Number of total active tickets
          type: integer
          example: 5
        totalInactiveTickets:
          description: Number of total inactive tickets (expired, canceled, completed)
          type: integer
          example: 5
      required:
        - inflow
        - outflow
        - totalActiveTickets
        - totalInactiveTickets
    SmartTransferForbiddenResponse:
      type: object
      properties:
        message:
          type: string
          description: Forbidden error code
          example: You do not have permission to execute this action
        code:
          type: string
          description: Error code
          example: 3002
      required:
        - message
        - code
    SmartTransferCoinStatistic:
      type: object
      description: Smart transfer coin statistic
      properties:
        asset:
          type: string
          example: BTC
        amount:
          type: string
          example: 15
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs

````